GNU bug report logs - #60908
[PATCH 10/25] gnu: gopkg-in-errgo-fmt-errors: Rename package to go-gopkg-in-errgo-fmt-errors.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:08 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:53 2023
Received: from localhost ([127.0.0.1]:38625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWT-0007Wk-90
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:44434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW3-0007U1-1D
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW0-000275-1N
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:25 -0500
Received: from mail-il1-x131.google.com ([2607:f8b0:4864:20::131])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVw-0006yZ-RU
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:22 -0500
Received: by mail-il1-x131.google.com with SMTP id h26so16365395ila.11
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=PYA8x5Sz8jDjcj3XcnBfliRv0r2smez96si7HW8mjtM=;
 b=TJ/ND2jj1dkrIathAx1TOcmsHDgFwe3rnYD6cEYOksurf8ZhQBQaZSorK8xJo+S0d2
 X+sx0jlwjk0S2zq5LT7v+1CWWQhrcGVqxm4aaw76gvgQIn3Zz79bBYIDtRMyO8RqLLPH
 J+9nQdyv7/LJbOvXb06VJ7LJkBTi/SNsztVgrE5CG1C67eTj1cWPz1y06IrhqygCovQf
 ltLxyrI6jaG0/FJUADF3zVoE8BLV4zc5T0onBm1Xb/IrI+twam147LnpEnP0ApPdtjcU
 Rxeu51lPrxl64xacrULJSGemjHZWT7/WKmbuUFYDnnpWX7HzlWbYg/QncqJGl1HZk+tc
 SzQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=PYA8x5Sz8jDjcj3XcnBfliRv0r2smez96si7HW8mjtM=;
 b=i9BgdSb7i4cSF+6rpulAUEn7FvXewpWZeErXat6bCA2Y+xdWheIg3NoL9KvGXOXhgh
 KBiuFPppZbtRQREbyMtpsJ3g6Db2pha7jn89N+g4KOMx51VGdPbft9cWxMZrLlHflTL5
 7sNaKNoc/636DNoyU1H7jXgRx+6nOeM7M8WZSxBD6cd+JK5c0RU2FhHPL1V2XTPmTluy
 IQEH+ZfnUa1Jd7vDG878HKUdu8sUP3dbm2V1bJZKWnCO+IiioG2zYCda50N0mwNUGtLu
 RqtLjoUhhQ2i0WpFd6xgYR9K7IlQhhj3nt45k2MC8RN/Ah05RtqGQtfPg+tiJ0bVHiI/
 DO+w==
X-Gm-Message-State: AFqh2kqx2/eX2nyOh7JiN7jqCvcEAKQ7dIo3vGcrLJZyyCrbovIAKZJa
 tzsYWA82EILscYHznG09R3qSl1mt+p4=
X-Google-Smtp-Source: AMrXdXvCl3fPt6cL6kUGDJyFNCAzjb0No4xKPIqDiDtdw19upAH5CLlK1cZdSUute4NYU4W8Ft5i8A==
X-Received: by 2002:a92:d5ca:0:b0:30f:12c8:8de2 with SMTP id
 d10-20020a92d5ca000000b0030f12c88de2mr4298734ilq.2.1674006319585; 
 Tue, 17 Jan 2023 17:45:19 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:19 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 10/25] gnu: gopkg-in-errgo-fmt-errors: Rename package to
 go-gopkg-in-errgo-fmt-errors.
Date: Tue, 17 Jan 2023 18:44:55 -0700
Message-Id: <20230118014510.19320-11-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::131;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x131.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/configuration-management.scm (chezmoi): Define in terms
of'go-gopkg-in-errgo-fmt-errors'.

* (go-gopkg-in-errgo-fmt-errors): New variable, formerly known as "gopkg-in-errgo-fmt-errors".
---
 gnu/packages/configuration-management.scm | 2 +-
 gnu/packages/golang.scm                   | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/configuration-management.scm b/gnu/packages/configuration-management.scm
index 3ebb6957c8..b66f70545a 100644
--- a/gnu/packages/configuration-management.scm
+++ b/gnu/packages/configuration-management.scm
@@ -97,7 +97,7 @@ (define-public chezmoi
            go-golang-org-x-net
            go-golang-org-x-oauth2
            go-github-com-rogpeppe-go-internal
-           gopkg-in-errgo-fmt-errors))
+           go-gopkg-in-errgo-fmt-errors))
     (home-page "https://www.chezmoi.io/")
     (synopsis "Personal configuration files manager")
     (description "This package helps to manage personal configuration files
diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 240f8ea56c..4cef0f61f6 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9147,9 +9147,9 @@ (define-public go-github-com-rogpeppe-go-internal
 @end itemize\n")
     (license license:bsd-3)))
 
-(define-public gopkg-in-errgo-fmt-errors
+(define-public go-gopkg-in-errgo-fmt-errors
   (package
-    (name "gopkg-in-errgo-fmt-errors")
+    (name "go-gopkg-in-errgo-fmt-errors")
     (version "2.1.0")
     (source (origin
               (method git-fetch)
@@ -9162,7 +9162,7 @@ (define-public gopkg-in-errgo-fmt-errors
                 "065mbihiy7q67wnql0bzl9y1kkvck5ivra68254zbih52jxwrgr2"))))
     (build-system go-build-system)
     (arguments
-     `(#:import-path "gopkg.in/errgo.v2/fmt/errors"
+     `(#:import-path "gopkg.in/errgo.v2"
        #:tests? #f
        ;; Source-only package
        #:phases
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60908; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.